local keyevents = {}
keyevents.active = {w = function(e) e:addvelocity(0, -1)  end, s = function(e) e:addvelocity(0, 1)  end, a = function(e) e:addvelocity(-1, 0)  end, d = function(e) e:addvelocity(1, 0)  end}
keyevents.inactive = {}

function keyevents:new(name, func)
    self.active[name] = func
end

function keyevents:activate(name)
    local toUse = self.inactive[name]
    self.active[name] = toUse
    toUse = nil
end

function keyevents:deactivate(name)
    local toUse = self.active[name]
    self.inactive[name] = toUse
    toUse = nil 
end

return keyevents